diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 91981b1..65dd6e9 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -5625,7 +5625,7 @@ BoundIntegerRoots(F, UP): Exports == Implementation where
       integerBound p ==
 --        one? degree p => zroot1 p
         (degree p) = 1 => zroot1 p
-        qbound(p, map(retract(#1)@Q, p))
+        qbound(p, map((z1:F):Q +-> retract(z1)@Q, p))
 
 -- we can probably do better here (i.e. without factoring)
     qbound(p, q) ==
diff --git a/changelog b/changelog
index 0405002..68c0ba2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.27.tpd.patch
+20090510 tpd books/bookvol10.4 BOUNDZRO +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.26.tpd.patch
 20090510 tpd books/bookvol10.3 D01TRNS +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.25.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3a10128..f73df37 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1212,5 +1212,7 @@ bookvol10.3 D01GBFA +-> conversion<br/>
 bookvol10.2 DPOLCAT +-> conversion<br/>
 <a href="patches/20090510.26.tpd.patch">20090510.26.tpd.patch</a>
 bookvol10.3 D01TRNS +-> conversion<br/>
+<a href="patches/20090510.27.tpd.patch">20090510.27.tpd.patch</a>
+bookvol10.4 BOUNDZRO +-> conversion<br/>
  </body>
 </html>
